Composer 中国镜像介绍, 安装

2018/08/06 14:11
阅读数 9

针对于前端的技术,nodejs 出现后,更是一大批开源的好东西被我们使用,npm就是nodejs中蛮好用的包管理软件,我们可以用npm 命令复制其他人的一些好的项目,用起来很爽。但是,php中貌似还没有这样类似的包管理工具,我们发现别人的代码,还是停留在手工阶段,手工将其他人的代码copy到自己的项目中,有更新我们同样靠手工copy文件。于是composer应运而生了。

 

1、composer是什么?

前言说了。composer是PHP的包管理、包依赖关系管理工具,有了它,我们就很轻松一个命令就可以把他人优秀的代码用到我们的项目中来,而且很容易管理依赖关系,更新删除等操作也很轻易的实现。
 

2.1 wondows 安装

首先官网下载: https://getcomposer.org/Composer-Setup.exe 。很小。1M都没有。这个链接永远是最新版本的。下载好了后。就是各种下一步下一步安装了,到这一步,需要填入php.ini的所在目录,记住wamp这类的安装包会有2个php.ini文件。不要填apache的目录所在php.ini。需要填入php目录下的这个配置文件。

这样安装完成了。很爽。

 

2.2 安装的时候可能会出现以下出错:

 

1. The openssl extension is missing, which will reduce the security and stability of Composer. If possible you should enable it or recompile php with --with-openssl"

意思是说php没有开启openssl配置。我们打开php目录下的php.ini。将openssl前面的分号去掉就可以了:

 

2. 提示php的版本太低,composer支持5.3+的版本。如果你是5.3-的话就只能去升级一下php的版本了。

 

接下来我们验证一下安装成功了没?打开cmd。win+r 快捷键打开cmd命令对话框,输入composer:

说明安装成功了。恭喜。

windows的版本安装,相对于比较简单很方便,其实呢,它替我们做了很多事。

1. 帮我们把php和composer这2命令给加到了系统环境变量。这样我们能全局只直接使用这2个命令:

 

我们在安装的时候可以看到:

 

我们打开系统的环境变量看看,是否添加了:

 

 

2. 帮我们把php composer.phar命令简化成composer命令了。很爽:

 

 

2.3 linux上的安装

 
linux上的安装其实说简单也跟简单,官网上有很多种安装方式,我们知道第一种就可以了,也是最快的。

 

curl -s http://getcomposer.org/installer | php

 

2.4 错误提示

 

1. 如果出现-bash: php: command not found 错误提示,说明php是源码安装的,php这个命令没有加入到系统环境。我们在上一步安装windows版本的时候,软件已经帮自动我们帮把php命令加入了系统环境path路径。

 

linux下如何把php加入系统环境呢,很简单:

 

  1.  
    修改/etc/profile文件使其永久性生效,并对所有系统用户生效,在文件末尾加上如下两行代码
  2.  
    PATH=$PATH :/usr/local/php5/bin
  3.  
    export PATH

最后:执行 命令source /etc/profile或 执行点命令 ./profile使其修改生效,执行完可通过echo $PATH命令查看是否添加成功。

2. 如果提示:

#!/usr/bin/env php
Some settings on your machine make Composer unable to work properly.
Make sure that you fix the issues listed below and run this script again:
The openssl extension is missing, which means that secure HTTPS transfers are impossible.
If possible you should enable it or recompile php with --with-openssl

 

也是一样,php的openssl没有安装,需要进入php源代码重新编译,我这里简单记录下如何添加php的openssl扩展:

1. 因为我是源码方式安装的php,所以需要重新编译,这点比windows上蛋疼的多。进入php的源码包,如果删除了的,需要重新下载这个对应的版本:

 

  1.  
    [root@localhost ~] # cd /lamp/php-5.4.11/ext/openssl/
  2.  
    [root@localhost openssl] #

2. 用phpize添加配置编译:

 

 

  1.  
    #openssl目录下有个config.w32和config0.m4,把config0.m4改名为config.m4(不清楚什么原因,必须这么改,很重要!!!)
  2.  
    [root@localhost openssl] # cp config0.m4 config.m4
  3.  
    [root@localhost openssl] # /usr/local/php/bin/phpize #使用phpize命令动态添加配置
  4.  
    [root@localhost openssl] # ./configure --with-openssl --with-php-config=/usr/local/php/bin/php-config #编译
  5.  
    [root@localhost openssl] # make
  6.  
    [root@localhost openssl] # make test
  7.  
    [root@localhost openssl] # make install
  8.  
    Installing shared extensions: /usr/local/php/lib/php/extensions/no-debug-zts -20100525/

注意:如果configure这一步出错:configure: error: libssl not found!。可能是系统没安装openssl扩展,可以:yum -y install openssl-devel 安装。

 

3. 修改php.ini ,把刚才编译好的openssl.so添加进去:

 

  1.  
    [root@localhost no-debug-zts -20100525]# vi /usr/local/php/etc/php.ini
  2.  
    #GG 定位到最小面,加入这一行:
  3.  
    extension=openssl.so

搞定,由于我们使用php,并没有用到apache。所以可以不用重启apache服务器。

 

 

安装好了后,我们验证下是否正确安装:

 

$ php composer.phar #执行 

 

 

3、 composer的使用

 
我们在正确成功安装好composer之后,就可以使用这个利器了。不管是windows版本还是linux版本使用命令方式都一样:
 
php composer.phar + 命令

我们刚才安装的windows版本直接可以使用composer 命令,前面说了,其实也是php composer.phar这2个的组合。
 
新的问题出来了。就是我们每次要去新下载一个其他人的项目,我们都必须要到在新项目的目录下重新下载一次composer.phar文件或者是这样:[root@root /]# php  /home/test/composer.phar  相对路径读取到composer。能不能也把composer.phar像php命令这样搞成一个全局的。直接用 composer该多好啊!
 
  1.  
    [root@localhost /] # cd /usr/local/composer/
  2.  
    [root@localhost composer] # cp composer.phar /usr/bin/composer

搞定,这样就能和windows一样,全局使用composer命令了。

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部